org.eclipse.emf.spi.cdo

## Class CDOSessionProtocol.LockObjectsResult

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionProtocol.LockObjectsResult

- Enclosing interface:
    CDOSessionProtocol

      public static final class CDOSessionProtocol.LockObjectsResult
      extends Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions)` Deprecated.
    `LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions, CDOLockState[] newLockStates, long timestamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOLockState[]` | `getNewLockStates()`
    `long` | `getRequiredTimestamp()`
    `CDORevisionKey[]` | `getStaleRevisions()`
    `long` | `getTimestamp()`
    `boolean` | `isSuccessful()`
    `boolean` | `isTimedOut()`
    `boolean` | `isWaitForUpdate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LockObjectsResult

          @Deprecated
          public LockObjectsResult(boolean successful,
                                                boolean timedOut,
                                                boolean waitForUpdate,
                                                long requiredTimestamp,
                                                CDORevisionKey[] staleRevisions)

      Deprecated.

    - #### LockObjectsResult

          public LockObjectsResult(boolean successful,
                                   boolean timedOut,
                                   boolean waitForUpdate,
                                   long requiredTimestamp,
                                   CDORevisionKey[] staleRevisions,
                                   CDOLockState[] newLockStates,
                                   long timestamp)

      Since:
        4.1

  - ### Method Detail

    - #### isSuccessful

          public boolean isSuccessful()

    - #### isTimedOut

          public boolean isTimedOut()

    - #### isWaitForUpdate

          public boolean isWaitForUpdate()

    - #### getRequiredTimestamp

          public long getRequiredTimestamp()

    - #### getStaleRevisions

          public CDORevisionKey[] getStaleRevisions()

    - #### getNewLockStates

          public CDOLockState[] getNewLockStates()

      Since:
        4.1

    - #### getTimestamp

          public long getTimestamp()

      Since:
        4.1

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html